%define bname       	geronimo
%define name            %{bname}-modules
%define version         1.0
%define mstone       	M2
%define release         0.%{mstone}.4jpp
%define section         free

Summary:        Geronimo J2EE modules
URL:            http://geronimo.apache.org
Source0:        %{bname}-%{version}-%{mstone}-src.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        geronimo-modules-1.0-M2-jpp-depmap.xml
Patch0:         %{bname}-modules-%{version}-%{mstone}-jpp.patch
Patch1:		%{bname}-modules-%{version}-%{mstone}-SchemaCompiler.patch
Patch2:         %{bname}-modules-%{version}-%{mstone}-LoginSQLTest.patch
Patch3:         %{bname}-modules-%{version}-%{mstone}-howl-logger-0.1.7-HOWLLog.patch
Patch4:		geronimo-modules-1.0-M2-ProtocolInDispatcher.patch
Patch5:		geronimo-modules-1.0-M2-spring-dependency.patch
Patch6:         geronimo-modules-1.0-M2-cli-Deployer.patch
Patch7:         geronimo-modules-1.0-M2-explorer-maven_xml.patch

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        Apache Software License 2
Group:          Internet/WWW/Servers
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  maven >= 0:1.0
BuildRequires:  saxon, saxon-scripts
#
BuildRequires:	ant >= 0:1.6
BuildRequires:	asm >= 0:1.4.3
BuildRequires:	axion >= 0:1.0-0.M3
BuildRequires:	axis
BuildRequires:	castor
BuildRequires:	cglib >= 0:2.0.2
BuildRequires:	classworlds
BuildRequires:	concurrent
BuildRequires:	dom4j
BuildRequires:	geronimo-specs >= 0:1.0-0.M2
BuildRequires:	groovy
BuildRequires:	howl-logger >= 0:0.1.7
BuildRequires:	hsqldb
BuildRequires:	jakarta-commons-beanutils > 0:1.6
BuildRequires:	jakarta-commons-cli
BuildRequires:	jakarta-commons-collections >= 0:3.1
BuildRequires:	jakarta-commons-discovery
BuildRequires:	jakarta-commons-el
BuildRequires:	jakarta-commons-jxpath
BuildRequires:	jakarta-commons-lang
BuildRequires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-primitives
BuildRequires:	jasper5
BuildRequires:	jaxen >= 0:1.1
BuildRequires:	jetty50 >= 0:5.0
BuildRequires:	jetty50-extra >= 0:5.0
BuildRequires:	jline
BuildRequires:	junit
BuildRequires:	log4j
BuildRequires:	mockobjects >= 0:0.09
BuildRequires:	mockobjects-jdk1.4-j2ee1.3 >= 0:0.09
BuildRequires:	mx4j >= 0:2.0.1
BuildRequires:	nekohtml
BuildRequires:	regexp
BuildRequires:	relaxngDatatype
BuildRequires:	spring11-core >= 0:1.1.5
BuildRequires:	tranql >= 0:1.0-0.M2
BuildRequires:	velocity
BuildRequires:	wsdl4j
BuildRequires:	xerces-j2
BuildRequires:	xmlbeans
BuildRequires:	xml-commons-apis
BuildRequires:	xml-commons-resolver
BuildRequires:	xpp3
BuildRequires:	xsdlib
BuildRequires:	xstream

#
Requires:	ant >= 0:1.6
Requires:	asm >= 0:1.4.3
Requires:	axion >= 0:1.0-0.M3
Requires:	axis
Requires:	castor
Requires:	cglib >= 0:2.0.2
Requires:	classworlds
Requires:	concurrent
Requires:	dom4j
Requires:	geronimo-specs >= 0:1.0-0.M2
Requires:	groovy
Requires:	howl-logger >= 0:0.1.7
Requires:	hsqldb
Requires:	jakarta-commons-beanutils > 0:1.6
Requires:	jakarta-commons-cli
Requires:	jakarta-commons-collections >= 0:3.1
Requires:	jakarta-commons-discovery
Requires:	jakarta-commons-el
Requires:	jakarta-commons-jxpath
Requires:	jakarta-commons-lang
Requires:	jakarta-commons-logging
Requires:	jakarta-commons-primitives
Requires:	jasper5
Requires:	jaxen >= 0:1.1
Requires:	jetty50 >= 0:5.0
Requires:	jetty50-extra >= 0:5.0
Requires:	jline
Requires:	junit
Requires:	log4j
Requires:	mockobjects >= 0:0.09
Requires:	mockobjects-jdk1.4-j2ee1.3 >= 0:0.09
Requires:	mx4j >= 0:2.0.1
Requires:	nekohtml
Requires:	regexp
Requires:	relaxngDatatype
Requires:	spring11-core >= 0:1.1.5
Requires:	tranql >= 0:1.0-0.M2
Requires:	velocity
Requires:	wsdl4j
Requires:	xerces-j2
Requires:	xmlbeans
Requires:	xml-commons-apis
Requires:	xml-commons-resolver
Requires:	xpp3
Requires:	xsdlib
Requires:	xstream

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Geronimo is Apache's ASF-licenced J2EE server project.


%package sandbox
Summary:        Sandbox of %{name}
Group:          Java/Development

%description sandbox
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.


%prep
%setup -q -n %{bname}-%{version}-%{mstone}
chmod -R go=u-w *

# Assembly is left for next phase
rm -rf modules/assembly

export DEPCAT=$(pwd)/geronimo-modules-1.0-M2-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > geronimo-modules-1.0-M2-depmap.new.xml
%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav

%build
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

# sanbox/twiddle not functional ?
rm -rf sandbox/twiddle
# these will not pass on slow hardware
rm modules/timer/src/test/org/apache/geronimo/timer/NontransactionalThreadPooledTimerTest.java
rm modules/timer/src/test/org/apache/geronimo/timer/TransactionalThreadPooledTimerTest.java
# this test will not pass
rm sandbox/messaging/src/test/org/apache/geronimo/messaging/cluster/ClusterHBTest.java
# this test will not pass
rm sandbox/webdav/src/test/org/apache/geronimo/datastore/impl/remote/RemoteUseCaseTest.java

mkdir .plugins
cp /usr/share/maven-1.0/plugins/*.jar .plugins
mkdir -p .maven/repository/JPP/jars
pushd .maven/repository/JPP/jars
ln -sf $(build-classpath ant) ant.jar
ln -sf $(build-classpath asm/asm) asm-asm.jar
ln -sf $(build-classpath asm/asm-util) asm-asm-util.jar
ln -sf $(build-classpath axion) axion.jar
ln -sf $(build-classpath axis/axis) axis.jar
ln -sf $(build-classpath castor) castor.jar
ln -sf $(build-classpath cglib) cglib.jar
ln -sf $(build-classpath classworlds) classworlds.jar
ln -sf $(build-classpath commons-beanutils) commons-beanutils.jar
ln -sf $(build-classpath commons-cli) commons-cli.jar
ln -sf $(build-classpath commons-collections) commons-collections.jar
ln -sf $(build-classpath commons-discovery) commons-discovery.jar
ln -sf $(build-classpath commons-el) commons-el.jar
#ln -sf $(build-classpath commons-fileupload) commons-fileupload.jar
#ln -sf $(build-classpath commons-jelly-tags-html) commons-jelly-tags-html.jar
ln -sf $(build-classpath commons-jxpath) commons-jxpath.jar
ln -sf $(build-classpath commons-lang) commons-lang.jar
ln -sf $(build-classpath commons-logging) commons-logging.jar
ln -sf $(build-classpath commons-primitives) commons-primitives.jar
ln -sf $(build-classpath concurrent) concurrent.jar
ln -sf $(build-classpath dom4j) dom4j.jar
#ln -sf $(build-classpath ews) ews.jar
ln -sf $(build-classpath geronimo/spec-ejb-2.1) geronimo-spec-ejb-2.1.jar
ln -sf $(build-classpath geronimo/spec-j2ee-connector-1.5 ) geronimo-spec-j2ee-connector-1.5.jar
ln -sf $(build-classpath geronimo/spec-j2ee-jacc-1.0 ) geronimo-spec-j2ee-jacc-1.0.jar
ln -sf $(build-classpath geronimo/spec-j2eeschema-1.0) geronimo-spec-j2eeschema-1.0.jar
ln -sf $(build-classpath geronimo/spec-jsp-2.0) geronimo-spec-jsp-2.0.jar
ln -sf $(build-classpath geronimo/spec-servlet-2.4) geronimo-spec-servlet-2.4.jar
ln -sf $(build-classpath geronimo/spec-j2ee-deployment-1.1) geronimo-spec-j2ee-deployment-1.1.jar
ln -sf $(build-classpath geronimo/spec-j2ee-management-1.0) geronimo-spec-j2ee-management-1.0.jar
ln -sf $(build-classpath geronimo/spec-j2ee-1.4) geronimo-spec-j2ee-1.4.jar
ln -sf $(build-classpath geronimo/spec-jms-1.1) geronimo-spec-jms-1.1.jar
ln -sf $(build-classpath geronimo/spec-jta-1.0.1B) geronimo-spec-jta-1.0.1B.jar
ln -sf $(build-classpath groovy) groovy.jar
ln -sf $(build-classpath howl-logger) howl-logger.jar
ln -sf $(build-classpath hsqldb) hsqldb.jar
#ln -sf $(build-classpath jaas) jaas.jar
ln -sf $(build-classpath jasper5-compiler) jasper5-compiler.jar
ln -sf $(build-classpath jasper5-runtime) jasper5-runtime.jar
#ln -sf $(build-classpath jaxb-api) jaxb-api.jar
#ln -sf $(build-classpath jaxb-impl) jaxb-impl.jar
#ln -sf $(build-classpath jaxb-libs) jaxb-libs.jar
ln -sf $(build-classpath jaxen) jaxen.jar
ln -sf $(build-classpath axis/jaxrpc) jaxrpc.jar
ln -sf $(build-classpath jetty50/jetty50) jetty5-jetty5.jar
ln -sf $(build-classpath jetty50/jetty50-jaas) jetty5-jetty5-jaas.jar
ln -sf $(build-classpath jline) jline.jar
ln -sf $(build-classpath junit) junit.jar
ln -sf $(build-classpath log4j) log4j.jar
ln -sf $(build-classpath mockobjects-core) mockobjects-core.jar
ln -sf $(build-classpath mockobjects-j2ee1.3) mockobjects-j2ee1.3.jar
####
ln -sf $(build-classpath mx4j/mx4j) mx4j-mx4j.jar
ln -sf $(build-classpath mx4j/mx4j-jmx) mx4j-mx4j-jmx.jar
#ln -sf $(build-classpath mx4j/mx4j-tools) mx4j-mx4j-tools.jar
ln -sf $(build-classpath mx4j/mx4j-remote) mx4j-mx4j-remote.jar
ln -sf $(build-classpath nekohtml) nekohtml.jar
ln -sf $(build-classpath regexp) regexp.jar
ln -sf $(build-classpath relaxngDatatype) relaxngDatatype.jar
ln -sf $(build-classpath axis/saaj) saaj.jar
ln -sf $(build-classpath spring11/core) spring-core.jar
ln -sf $(build-classpath tranql) tranql.jar
ln -sf $(build-classpath velocity) velocity.jar
ln -sf $(build-classpath wsdl4j) wsdl4j.jar
ln -sf $(build-classpath xerces-j2) xerces-j2.jar
ln -sf $(build-classpath xmlbeans/xbean) xmlbeans-xbean.jar
#ln -sf $(build-classpath xmlbeans/xbean_xpath) xmlbeans-xbean_xpath.jar
#ln -sf $(build-classpath xmlbeans/xmlpublic) xmlbeans-xmlpublic.jar
ln -sf $(build-classpath xml-commons-apis) xml-commons-apis.jar
ln -sf $(build-classpath xml-commons-resolver) xml-commons-resolver.jar
ln -sf $(build-classpath xpp3) xpp3.jar
ln -sf $(build-classpath xsdlib) xsdlib.jar
ln -sf $(build-classpath xstream) xstream.jar
popd

pushd .maven/repository/JPP/jars
ln -s /var/lib/tomcat5/server/lib/catalina.jar tomcat5-catalina.jar
ln -s /var/lib/tomcat5/server/lib/catalina-optional.jar tomcat5-catalina-optional.jar
ln -s /var/lib/tomcat5/server/lib/servlets-common.jar tomcat5-servlets-common.jar
ln -s /var/lib/tomcat5/server/lib/servlets-default.jar tomcat5-servlets-default.jar
ln -s /var/lib/tomcat5/server/lib/servlets-webdav.jar tomcat5-servlets-webdav.jar
ln -s /var/lib/tomcat5/server/lib/tomcat-util.jar tomcat5-tomcat-util.jar
ln -s /var/lib/tomcat5/common/lib/naming-common.jar tomcat5-naming-common.jar
ln -s /var/lib/tomcat5/common/lib/naming-resources.jar tomcat5-naming-resources.jar
popd
maven -Dmaven.plugin.dir=$(pwd)/.plugins \
	-Dmaven.home.local=$(pwd)/.maven \
	-Dmodule.types=modules,sandbox,applications \
	modules:build modules:javadoc

%install
rm -rf $RPM_BUILD_ROOT


# geronimo jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{bname}

install -p -m 0644 modules/clustering/target/%{bname}-clustering-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/clustering-%{version}.jar
install -p -m 0644 modules/common/target/%{bname}-common-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/common-%{version}.jar
install -p -m 0644 modules/connector/target/%{bname}-connector-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/connector-%{version}.jar
install -p -m 0644 modules/core/target/%{bname}-core-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/core-%{version}.jar
install -p -m 0644 modules/core/target/%{bname}-core-rmiclassloaderspi.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/core-rmiclassloaderspi-%{version}.jar
install -p -m 0644 modules/deployment/target/%{bname}-deployment-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/deployment-%{version}.jar
install -p -m 0644 modules/j2ee-schema/target/%{bname}-j2ee-schema-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/j2ee-schema-%{version}.jar
install -p -m 0644 modules/j2ee/target/%{bname}-j2ee-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/j2ee-%{version}.jar
install -p -m 0644 modules/jetty/target/%{bname}-jetty-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/jetty-%{version}.jar
install -p -m 0644 modules/jmx-remoting/target/%{bname}-jmxremoting-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/jmxremoting-%{version}.jar
install -p -m 0644 modules/kernel/target/%{bname}-kernel-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/kernel-%{version}.jar
install -p -m 0644 modules/maven-plugin/target/%{bname}-deployment-plugin-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/deployment-plugin-%{version}.jar
install -p -m 0644 modules/maven-xmlbeans-plugin/target/%{bname}-xmlbeans-plugin-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/xmlbeans-plugin-%{version}.jar
install -p -m 0644 modules/naming/target/%{bname}-naming-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/naming-%{version}.jar
install -p -m 0644 modules/network/target/%{bname}-network-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/network-%{version}.jar
install -p -m 0644 modules/remoting/target/%{bname}-remoting-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/remoting-%{version}.jar
install -p -m 0644 modules/security/target/%{bname}-security-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/security-%{version}.jar
install -p -m 0644 modules/spring/target/%{bname}-spring-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/spring-%{version}.jar
install -p -m 0644 modules/system/target/%{bname}-system-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/system-%{version}.jar
install -p -m 0644 modules/timer/target/%{bname}-timer-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/timer-%{version}.jar
install -p -m 0644 modules/transaction/target/%{bname}-transaction-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}/transaction-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}/%{bname}
    for j in *-%{version}.jar; do ln -sf $j $(echo $j | sed  -e 's/-%{version}//'); done
popd

# geronimo-sandbox jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{bname}-sandbox

install -p -m 0644 sandbox/activation/target/%{bname}-sandbox-activation-DEV.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}-sandbox/activation-%{version}.jar
install -p -m 0644 sandbox/explorer/target/%{bname}-sandbox-explorer-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}-sandbox/explorer-%{version}.jar
install -p -m 0644 sandbox/javamail/target/%{bname}-sandbox-javamail-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}-sandbox/javamail-%{version}.jar
install -p -m 0644 sandbox/mail/target/%{bname}-sandbox-mail-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}-sandbox/mail-%{version}.jar
install -p -m 0644 sandbox/messaging/target/%{bname}-sandbox-messaging-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}-sandbox/messaging-%{version}.jar
install -p -m 0644 sandbox/webdav/target/%{bname}-sandbox-webdav-%{version}-%{mstone}.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}-sandbox/webdav-%{version}.jar
install -p -m 0644 sandbox/xbeans/target/%{bname}-sandbox-xbeans-DEV.jar \
                $RPM_BUILD_ROOT%{_javadir}/%{bname}-sandbox/xbeans-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}/%{bname}-sandbox
    for j in *-%{version}.jar; do ln -sf $j $(echo $j | sed  -e 's/-%{version}//'); done
popd

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
for md in clustering common connector console-web core deployment j2ee jetty jmx-remoting kernel maven-plugin maven-xmlbeans-plugin naming network remoting security spring system timer transaction; do
    install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/${md}
    cp -pr modules/${md}/target/docs/apidocs/* \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/${md}
done
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/sandbox
for md in activation explorer javamail mail messaging webdav xbeans; do
    install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/sandbox/${md}
    cp -pr sandbox/${md}/target/docs/apidocs/* \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/sandbox/${md}
done
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/apps/jmxdebug
cp -pr applications/jmxdebug/target/docs/apidocs/* \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/apps/jmxdebug
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# apps
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/apps
install -p -m 0644 \
applications/jmxdebug/target/%{bname}-jmxdebug-%{version}-%{mstone}.war \
$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/apps/%{bname}-jmxdebug-%{version}.war
install -p -m 0644 \
modules/console-web/target/%{bname}-console-web-%{version}-%{mstone}.war \
$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/apps/%{bname}-console-web-%{version}.war
pushd $RPM_BUILD_ROOT%{_javadir}/%{bname}
ln -sf \
%{_datadir}/%{name}-%{version}/apps/%{bname}-jmxdebug-%{version}.war \
jmxdebug.war
ln -sf \
%{_datadir}/%{name}-%{version}/apps/%{bname}-console-web-%{version}.war \
console-web.war
    for j in *-%{version}.jar; do ln -sf $j $(echo $j | sed  -e 's/-%{version}//'); done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%doc *.txt STATUS
%{_javadir}/%{bname}/*
%{_datadir}/%{name}-%{version}

%files sandbox
%defattr(-,root,root,-)
%{_javadir}/%{bname}-sandbox/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Oct 10 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M2.4jpp
- Require and use spring11

* Wed Aug 17 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M2.3jpp
- Add jline to the requirements

* Thu Feb 03 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M2.2jpp
- Process project.xml files with saxon
- Don't tamper with $HOME

* Mon Dec 13 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M2.1jpp
- Upgrade to M2

* Wed Sep 29 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.M1-1jpp
- First JPackage build 

